@font-face {
  font-family: Tektur;
  font-optical-sizing: auto;
  font-style: normal;
  font-variation-settings: "wdth" 100;
  src: url(../fonts/Tektur-VariableFont_wdth,wght.ttf);
}

:root {
  background: black;
  font-family: Tektur, sans-serif;
  font-size: 1.1rem;
  color: rgba(255, 255, 255, 0.6);
}

pre, code {
	font-family: inherit;
}

body {
  margin: 0;
}

header {
  padding: 2rem;
}

a {
  color: white;
  text-decoration: underline dotted;
}

.post {
  padding: 2rem;
  border-top: 1px solid rgba(255, 255, 255, 0.2);
  display: grid;
  width: min(100%, calc(100% - 4rem));
  grid-template:
    "title article"
    "time article"
    "_ article" / 25ch 1fr;

  @media (width <= 1024px) {
    grid-template: "title" "time" "article" 1fr;
  }

  > h1 {
    font-size: 1rem;
    font-weight: 100;
    color: white;
    grid-area: title;
  }

  > time {
    grid-area: time;
  }

  > .post-content {
    grid-area: article;
    width: min(min(100%, calc(100vw - 4rem)), 80ch);

    :is(img, video, picture) {
      object-fit: cover;
      max-width: 100%;
    }

		:is(code) {
			color: #ccc;
		}

    :is(pre) {
      border-left: 0;
      border-right: 0;
      padding: 1rem;
      margin: 0rem;
      color: rgba(255, 255, 255, 0.7);
      tab-size: 2rem;
      overflow-x: auto;
			font-size: 0.9rem;
    }
  }
}


/* gruvbox dark Prism.css */code[class*=ltanguage-],pre[class*=language-]{color:#ebdbb2;text-align:left;white-space:pre;word-spacing:normal;word-break:normal;tab-size:4;hyphens:none;direction:ltr;line-height:1.2}pre[class*=language-]::-moz-selection{color:#fbf1c7;background:#7c6f64}pre[class*=language-] ::-moz-selection{color:#fbf1c7;background:#7c6f64}code[class*=language-]::-moz-selection{color:#fbf1c7;background:#7c6f64}code[class*=language-] ::-moz-selection{color:#fbf1c7;background:#7c6f64}pre[class*=language-]::selection,pre[class*=language-] ::selection,code[class*=language-]::selection,code[class*=language-] ::selection{color:#fbf1c7;background:#7c6f64}pre[class*=language-]{margin:.5em 0;padding:1em;overflow:auto}:not(pre)>code[class*=language-],:not(pre)>code[class*=language-]{border-radius:.3em;padding:.1em}.token.comment,.token.prolog,.token.cdata{color:#a89984}.token.delimiter,.token.boolean,.token.keyword,.token.selector,.token.important,.token.atrule{color:#fb4934}.token.operator,.token.punctuation,.token.attr-name{color:#a89984}.token.tag,.token.tag .punctuation,.token.doctype,.token.builtin{color:#fabd2f}.token.entity,.token.number,.token.symbol{color:#d3869b}.token.property,.token.constant,.token.variable{color:#fb4934}.token.string,.token.char{color:#b8bb26}.token.attr-value,.token.attr-value .punctuation{color:#a89984}.token.url{color:#b8bb26;text-decoration:underline}.token.function{color:#fabd2f}.token.regex{background:#b8bb26}.token.bold{font-weight:700}.token.italic{font-style:italic}.token.inserted{background:#a89984}.token.deleted{background:#fb4934}
